Update Persona
curl --request PATCH \
--url https://cloud.onyx.app/api/persona/{persona_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"document_set_ids": [
123
],
"num_chunks": 123,
"is_public": true,
"llm_filter_extraction": true,
"llm_relevance_filter": true,
"tool_ids": [
123
],
"system_prompt": "<string>",
"task_prompt": "<string>",
"datetime_aware": true,
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"remove_image": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"search_start_date": "2023-11-07T05:31:56Z",
"label_ids": [
123
],
"is_default_persona": false,
"display_priority": 123,
"user_file_ids": [
"<string>"
],
"replace_base_system_prompt": false
}
'{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_public": true,
"is_visible": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"user_file_ids": [
"<string>"
],
"display_priority": 123,
"is_default_persona": true,
"builtin_persona": true,
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"llm_relevance_filter": true,
"llm_filter_extraction": true,
"tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"definition": {},
"display_name": "<string>",
"in_code_tool_id": "<string>",
"custom_headers": [
"<unknown>"
],
"passthrough_auth": true,
"mcp_server_id": 123,
"user_id": "<string>",
"oauth_config_id": 123,
"oauth_config_name": "<string>",
"enabled": true,
"chat_selectable": true,
"agent_creation_selectable": true,
"default_enabled": false
}
],
"labels": [
{
"id": 123,
"name": "<string>"
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
},
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
],
"groups": [
123
],
"document_sets": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"cc_pair_summaries": [
{
"id": 123,
"name": "<string>"
}
],
"is_up_to_date": true,
"is_public": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"federated_connector_summaries": [
{
"id": 123,
"name": "<string>",
"source": "federated_slack",
"entities": {}
}
]
}
],
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"num_chunks": 123,
"system_prompt": "<string>",
"replace_base_system_prompt": false,
"task_prompt": "<string>",
"datetime_aware": true
}Agents
Update Agent
PATCH
/
persona
/
{persona_id}
Update Persona
curl --request PATCH \
--url https://cloud.onyx.app/api/persona/{persona_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"document_set_ids": [
123
],
"num_chunks": 123,
"is_public": true,
"llm_filter_extraction": true,
"llm_relevance_filter": true,
"tool_ids": [
123
],
"system_prompt": "<string>",
"task_prompt": "<string>",
"datetime_aware": true,
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"remove_image": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"search_start_date": "2023-11-07T05:31:56Z",
"label_ids": [
123
],
"is_default_persona": false,
"display_priority": 123,
"user_file_ids": [
"<string>"
],
"replace_base_system_prompt": false
}
'{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_public": true,
"is_visible": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"user_file_ids": [
"<string>"
],
"display_priority": 123,
"is_default_persona": true,
"builtin_persona": true,
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"llm_relevance_filter": true,
"llm_filter_extraction": true,
"tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"definition": {},
"display_name": "<string>",
"in_code_tool_id": "<string>",
"custom_headers": [
"<unknown>"
],
"passthrough_auth": true,
"mcp_server_id": 123,
"user_id": "<string>",
"oauth_config_id": 123,
"oauth_config_name": "<string>",
"enabled": true,
"chat_selectable": true,
"agent_creation_selectable": true,
"default_enabled": false
}
],
"labels": [
{
"id": 123,
"name": "<string>"
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
},
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
],
"groups": [
123
],
"document_sets": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"cc_pair_summaries": [
{
"id": 123,
"name": "<string>"
}
],
"is_up_to_date": true,
"is_public": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"federated_connector_summaries": [
{
"id": 123,
"name": "<string>",
"source": "federated_slack",
"entities": {}
}
]
}
],
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"num_chunks": 123,
"system_prompt": "<string>",
"replace_base_system_prompt": false,
"task_prompt": "<string>",
"datetime_aware": true
}Authorizations
Authorization header with Bearer token
Path Parameters
Body
application/json
Available options:
favor_recent, base_decay, no_decay, auto Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I